Exporter une nomenclature SOLIDWORKS vers EXCEL [RESOLU]

vos questions concernant les API SolidWorks

Re: Exporter une nomenclature SOLIDWORKS vers EXCEL [RESOLU]

Messagepar kiksystem » Lun 02 Oct 2017, 15:11

Bonjour,

Je crée actuelement une macro dans le même état d'esprit. Or aujourd'hui je n'arrive pas du tout à sélectionner ma nomenclature créée dans l’assemblage et l'enregistrer en .xls.

Pouvez vous m'aiguiller?

Code: Tout sélectionner
Option Explicit
 
Dim numaffaire As String
Dim numsousensemble As String
Dim nomsousensemble As String
Dim chemin As String
Dim strBOMTemplate  As String
Dim nouvchemin As String
Dim config As String
Dim Name As String

Dim x As Integer

Dim dessolid, appsolid, Part As Object

Dim swApp As SldWorks.SldWorks
 
Dim swModel As SldWorks.ModelDoc2
Dim swAsm As SldWorks.AssemblyDoc
Dim swDraw As SldWorks.DrawingDoc
Dim swSelMgr As Object

Dim swView As SldWorks.View
Dim swTable As SldWorks.TableAnnotation
Dim swBOMTable As SldWorks.BomTableAnnotation
 
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long
 
Sub main()
 
'Récupération nom du fichier et chemin

Set swApp = _
Application.SldWorks
Set appsolid = GetObject(, "SldWorks.Application")
Set dessolid = appsolid.ActiveDoc

chemin = dessolid.GetPathName()

'Création du nom de la nomenclature

numaffaire = InputBox("Indiquez le numéro d'affaire de la nomenclature concernée:", "Numéro d'affaire:")
numsousensemble = InputBox("Indiquez le numéro de sous ensemble de la nomenclature:", "Numéro du sous ensemble concerné:")
nomsousensemble = InputBox("Indiquez le nom de sous ensemble de la nomenclature:", "Nom du sous ensemble concerné:")


x = InStr(chemin, "Mécanique\") + 9
nouvchemin = Left(chemin, x)
nouvchemin = nouvchemin & numaffaire & "-" & numsousensemble & "-" & nomsousensemble & ".xls"



'Création de la nomenclature

Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
config = swModel.ConfigurationManager.ActiveConfiguration.Name
strBOMTemplate = "N:\accessoiresCAO\Solidworks_Data\Nomenclature\Nomenclature_assemblage.sldbomtbt"

Select Case swModel.GetType
Case swDocASSEMBLY
Set swAsm = swModel
Set swBOMTable = swAsm.Extension.InsertBomTable(strBOMTemplate, 0, 0, swBomType_e.swBomType_TopLevelOnly, config)
Set swTable = swBOMTable
Set swSelMgr = swModel.SelectionManager
Set swBOMTable = swSelMgr.GetSelectedObject(1)

End Select
'enregistrement en format excel
boolstatus = swTable.SaveAsText(chemin, "")


 
     

    End Sub
kiksystem
Ewok SolidWorks
 
Messages: 8
Inscription: Jeu 23 Mai 2013, 14:02

Précédente

Retourner vers Questions générales sur les API

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Google [Bot] et 4 invités

banniere